Subject: bug#67884: 30.0.50; fido-mode errors when case-fold-search is nil

From: João Távora <[email-masked]>
Date: Tue, 19 Dec 2023 10:14:52 +0000

close 67884
thanks

On Tue, Dec 19, 2023 at 9:50 AM João Távora <[email-masked]> wrote:

> Thanks.  Reproduced.  I think the error specifically was due to
> recent changes in Emacs master.

I fixed the recently introduced error in Emacs master (c0c79b0b4).

> In Emacs 29, fido-mode doesn't
> error, but doesn't respect case-fold-search either.

I may have mislead you to think there was also a problem in Emacs 29,
but there isn't.  Completion styles obey completion-ignore-case,
not case-fold-search directly.

Furthermore, while the flex completion style does obey it, fido-mode
(which is a "Fake Ido" extension) always sets completion-ignore-case
to t by default.  There are ways to get around it, admittedly
not very practical, but not terrible either.

  (defun joaot/minibuffer-setup-hook ()
    (setq-local completion-ignore-case nil))
  (add-hook 'minibuffer-setup-hook #'joaot/minibuffer-setup-hook t)

João